package cc.fascinated.bat.features.drag;

import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.FeatureProfile;
import cc.fascinated.bat.features.drag.command.DragCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class DragFeature extends Feature {
    @Autowired
    public DragFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("Drag", FeatureProfile.FeatureState.DISABLED, true);

        super.registerCommand(commandService, context.getBean(DragCommand.class));
    }
}
